# This imports all the layers for "instaproto" into instaprotoLayers
sk = Framer.Importer.load "imported/instaproto"

backgroundLayer = new BackgroundLayer
	backgroundColor: "#000000"

# Layer
# sk.keyPhoto.opacity = 0

Framer.Defaults.Animation =
	curve: "spring(200,20,0)"

contentLayers = [ sk.navbar, sk.photos ]

sk.keyPhoto.states.add
	grid: scale: 1
	zoom: scale: 3

sk.navbar.states.add
	grid: opacity: 1
	zoom: opacity: 0

sk.photos.states.add
	grid: opacity: 1
	zoom: opacity: 0


# Event
sk.keyPhoto.on Events.Click, ->
	sk.keyPhoto.states.next("zoom", "grid")
	for layer in contentLayers
		layer.states.next("zoom", "grid")